Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.search.controls
Interface RepoFullTextSearchControl<T>

All Superinterfaces
  FullTextSearchControl<T>, SearchControl<T>

All Known Subinterfaces:
  CmFullTextSearchControl<Node>, GsFullTextSearchControl<T>

    public interface RepoFullTextSearchControl<T>

extends FullTextSearchControl<T>

This control is used to perform FullTextSearch in BEA content repositories. It will not search any other Enterprise-scoped databases; use the EnterpriseSearchControl for that.

Additional metadata parameters may be added by getting an instance of the PropertySearchBuilder and constructing an array of IMetadataCriteria to set on this control.

Method Summary
`Map<String,ObjectClass>` | `getAvailableObjectClasses()` Show available ObjectClasses
`FullTextSearchBuilder` | `getFullTextSearchBuilder()` Access the FullTextSearchBuilder for more complex query construction for both text and property
`Set<String>` | `getObjectClassProperties(String objectClassName)` Return the set of searchable property names available for this ObjectClass.
`PropertyDefinition[]` | `getObjectClassPropertyDefinitions(String objectClassName)` Get all of the property definitions that belong to the specified object class
`PropertySearchBuilder` | `getPropertySearchBuilder()` Access the PropertySearchBuilder for more complex query construction for property
`boolean` | `isCmBinaryDataEncoded()`
`boolean` | `isCmMetadataEncoded()`
`SortableFilterablePagedResult<T>` | `searchProperty(IMetadataQueryParameter param)` Search only the properties
`void` | `setCmBinaryDataEncoded(boolean cmBinaryDataEncoded)`
`void` | `setCmMetadataEncoded(boolean cmMetadataEncoded)`
`void` | `setEnableSearchCache(boolean enable)` By default, the search cache is disabled
`void` | `setSearchPath(String path)` Search paths are automatically set for some controls, such as the GroupSpace controls.
`void` | `setSearchPaths(String[] paths)` Search paths are automatically set for some controls, such as the GroupSpace controls.

Methods inherited from interface com.bea.apps.groupspace.search.controls.FullTextSearchControl
`allOfTheseWords, anyOfTheseWords, clearMetadataParameters, getSearchDatabases, getTextSearchBuilder, search, setMetadataParameter, setMetadataParameters, setSearchDatabases, setSearchScope, textContains, textEquals`

Methods inherited from interface com.bea.apps.groupspace.search.controls.SearchControl
`asList, asSet, flushSearchCache, getSortCriteria, setSortCriteria`

Method Detail

### setEnableSearchCache

    void setEnableSearchCache(boolean enable)

  By default, the search cache is disabled

### setSearchPath

    void setSearchPath(String path)

  Search paths are automatically set for some controls, such as the GroupSpace controls. If you want to override those defaults, set either this or searchPaths() but not both.

### setSearchPaths

    void setSearchPaths(String[] paths)

  Search paths are automatically set for some controls, such as the GroupSpace controls. If you want to override those defaults, set either this or searchPath() but not both

### searchProperty

    SortableFilterablePagedResult<T> searchProperty(IMetadataQueryParameter param)
                                                    throws Exception

  Search only the properties

  Throws
    `Exception`

### getAvailableObjectClasses

    Map<String,ObjectClass> getAvailableObjectClasses()

  Show available ObjectClasses

### getObjectClassProperties

    Set<String> getObjectClassProperties(String objectClassName)
                                         throws AuthorizationException

  Return the set of searchable property names available for this ObjectClass. This is useful in constructing search expressions such as (TITLE == 'My Special Link'

  Returns
    the alphabetically sorted set of ObjectClass property definition names, or null if no viewable ObjectClass were found.
  Throws
    `AuthorizationException` - if user is not allowed to view properties of that ObjectClass

### getObjectClassPropertyDefinitions

    PropertyDefinition[] getObjectClassPropertyDefinitions(String objectClassName)
                                                           throws AuthorizationException,
                                                                  NoSuchObjectClassException

  Get all of the property definitions that belong to the specified object class

  Throws
    `AuthorizationException`
    `NoSuchObjectClassException`

### getFullTextSearchBuilder

    FullTextSearchBuilder getFullTextSearchBuilder()

  Access the FullTextSearchBuilder for more complex query construction for both text and property

### getPropertySearchBuilder

    PropertySearchBuilder getPropertySearchBuilder()

  Access the PropertySearchBuilder for more complex query construction for property

### isCmBinaryDataEncoded

    boolean isCmBinaryDataEncoded()

### setCmBinaryDataEncoded

    void setCmBinaryDataEncoded(boolean cmBinaryDataEncoded)

### isCmMetadataEncoded

    boolean isCmMetadataEncoded()

### setCmMetadataEncoded

    void setCmMetadataEncoded(boolean cmMetadataEncoded)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved